3.1.9 > 3.2.0-dev ?

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Benutzeravatar
Tom 61
Mitglied
Beiträge: 58
Registriert: 08.09.2005 11:03
Wohnort: Deggendorf/Donau
Kontaktdaten:

3.1.9 > 3.2.0-dev ?

Beitragvon Tom 61 » 07.07.2018 16:25

Seid herzlichst gegrüßt!

Ich hatte bis vor einer Stunde noch ein Forum mit 3.1.9 und wollte jetzt schrittweise auf 3.2. aktualisieren. Ich wollte es im September 2017 schon mal von 3.1.9 gleich auf 3.2. aktualisieren, hat aber nicht geklappt. Also nahm ich jetzt eure Datei 3.1.9 deutsch to 3.1.10 deutsch, die ich noch von September 2017 hatte, und habe das gemacht. Das hat geklappt, aber am Schluß beim Datenbankupdate kam folgende Meldung:

Die Datenbank wird auf die neueste Version aktualisiert


Datenbank-Typ :: mysql4
Vorherige Version :: 3.1.9
Installiere Schema: \phpbb\db\migration\data\v31x\add_log_time_index.
Installiertes Schema: \phpbb\db\migration\data\v31x\add_log_time_index; Dauer: 0.52 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\add_log_time_index.
Daten eingerichtet: \phpbb\db\migration\data\v31x\add_log_time_index; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\v3110rc1.
Installiertes Schema: \phpbb\db\migration\data\v31x\v3110rc1; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\v3110rc1.
Daten eingerichtet: \phpbb\db\migration\data\v31x\v3110rc1; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\v3110.
Installiertes Schema: \phpbb\db\migration\data\v31x\v3110; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\v3110.
Daten eingerichtet: \phpbb\db\migration\data\v31x\v3110; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\update_hashes.
Installiertes Schema: \phpbb\db\migration\data\v31x\update_hashes; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\update_hashes.
Daten eingerichtet: \phpbb\db\migration\data\v31x\update_hashes; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\add_latest_topics_index.
Installiertes Schema: \phpbb\db\migration\data\v31x\add_latest_topics_index; Dauer: 0.46 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\add_latest_topics_index.
Daten eingerichtet: \phpbb\db\migration\data\v31x\add_latest_topics_index; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\remove_duplicate_migrations.
Installiertes Schema: \phpbb\db\migration\data\v31x\remove_duplicate_migrations; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\remove_duplicate_migrations.
Daten eingerichtet: \phpbb\db\migration\data\v31x\remove_duplicate_migrations; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\increase_size_of_emotion.
Installiertes Schema: \phpbb\db\migration\data\v31x\increase_size_of_emotion; Dauer: 0.01 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\increase_size_of_emotion.
Daten eingerichtet: \phpbb\db\migration\data\v31x\increase_size_of_emotion; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\add_jabber_ssl_context_config_options.
Installiertes Schema: \phpbb\db\migration\data\v31x\add_jabber_ssl_context_config_options; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\add_jabber_ssl_context_config_options.
Daten eingerichtet: \phpbb\db\migration\data\v31x\add_jabber_ssl_context_config_options; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\add_smtp_ssl_context_config_options.
Installiertes Schema: \phpbb\db\migration\data\v31x\add_smtp_ssl_context_config_options; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\add_smtp_ssl_context_config_options.
Daten eingerichtet: \phpbb\db\migration\data\v31x\add_smtp_ssl_context_config_options; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\v3111rc1.
Installiertes Schema: \phpbb\db\migration\data\v31x\v3111rc1; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\v3111rc1.
Daten eingerichtet: \phpbb\db\migration\data\v31x\v3111rc1; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v31x\v3111.
Installiertes Schema: \phpbb\db\migration\data\v31x\v3111; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v31x\v3111.
Daten eingerichtet: \phpbb\db\migration\data\v31x\v3111; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v320\dev.
Installiertes Schema: \phpbb\db\migration\data\v320\dev; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v320\dev.
Daten eingerichtet: \phpbb\db\migration\data\v320\dev; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v320\allowed_schemes_links.
Installiertes Schema: \phpbb\db\migration\data\v320\allowed_schemes_links; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v320\allowed_schemes_links.
Daten eingerichtet: \phpbb\db\migration\data\v320\allowed_schemes_links; Dauer: 0.00 Sekunden
Installiere Schema: \phpbb\db\migration\data\v320\text_reparser.
Installiertes Schema: \phpbb\db\migration\data\v320\text_reparser; Dauer: 0.00 Sekunden
Richte Daten ein: \phpbb\db\migration\data\v320\text_reparser.

Fatal error: Uncaught exception 'Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException' with message 'You have requested a non-existent service "text_reparser.manager".' in /kunden/233139_94469/webseiten/phpBB2/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php:806 Stack trace: #0 /kunden/233139_94469/webseiten/phpBB2/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php(444): Symfony\Component\DependencyInjection\ContainerBuilder->getDefinition('text_reparser.m...') #1 /kunden/233139_94469/webseiten/phpBB2/phpbb/db/migration/data/v320/text_reparser.php(55): Symfony\Component\DependencyInjection\ContainerBuilder->get('text_reparser.m...') #2 [internal function]: phpbb\db\migration\data\v320\text_reparser->reparse(NULL) #3 /kunden/233139_94469/webseiten/phpBB2/phpbb/db/migrator.php(591): call_user_func_array(Array, Array) #4 /kunden/233139_94469/webseiten/phpBB2/phpbb/db/migrator.php(538): phpbb\db\migrator->run_step(Arr in /kunden/233139_94469/webseiten/phpBB2/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php on line 806


Also es ging da nicht weiter, sondern das Update-Skript hat mit dieser Meldung gestoppt. Wenn ich jetzt in mein Forum gehe, also es geht, scheint es erst mal zu funktionieren, aber im Admin-Bereich steht jetzt:

Momentan installierte Version
3.2.0-dev

Neueste Version
3.2.3-RC1

Ähm, was soll ich jetzt machen? Oder was habe ich falsch gemacht? Oder überhaupt?

Meine PHP-Version ist: 5-Stable (5.2.17), die MySQL-Version ist: 4.1.22, wenn ich das richtig sehe.
Wir werden wieder Normalität herstellen, sobald wir herausgefunden haben, was das eigentlich ist.

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3447
Registriert: 15.10.2012 03:27

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Melmac » 07.07.2018 16:43

Hi,

Tom 61 hat geschrieben:Meine PHP-Version ist: 5-Stable (5.2.17), die MySQL-Version ist: 4.1.22, wenn ich das richtig sehe.

bist Du sicher, dass diese Angaben so korrekt sind bzw. dass die Ausgangsversion bei Dir 3.1.9 war?
Was die Mindest-Systemanforderungen von phpBB 3.1 bzw. 3.2 betrifft: die werden hier genannt => Systemanforderungen für phpBB

Mit den entsprechenden Vorbereitungsarbeiten brauchst Du die Updates/Upgrades auch nicht schrittweise vorzunehmen: das geht in einem Rutsch :wink:
Falls Du von einer 3.0.x-Vorversion kommen solltest => phpBB 3.2 - Upgrade von phpBB 3.0
Falls von 3.1.x kommend => phpBB 3.2 - Upgrade von phpBB 3.1

Wichtig wären dabei zwei Dinge:
1) In phpBB 3.2.2 sind leider noch ein paar Bugs vorhanden, die vor dem eigentlichen Upgradelauf korrigiert werden müssen.
Die Änderungen, die an den Dateien des Komplettpaketes 3.2.2 vorgenommen werden müssen, sind hier => [3.2] Bekannte Probleme in phpBB 3.2.2 aufgeführt. Diese Korrekturen zuerst durchführen und danach erst das Upgrade starten.

2) Alle vorbereitenden Schritte müssen korrekt und vollständig abgearbeitet werden, ansonsten kann es zu Problemen kommen.

Tom 61 hat geschrieben:Ich wollte es im September 2017 schon mal von 3.1.9 gleich auf 3.2. aktualisieren, hat aber nicht geklappt

Es wäre dann dann gut, wenn wir erfahren könnten, was dabei nicht geklappt und wie sich das geäußert hat (Fehlermeldungen etc.) :wink:
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1280
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon vfrblue » 07.07.2018 16:45

Meine PHP-Version ist: 5-Stable (5.2.17), die MySQL-Version ist: 4.1.22, wenn ich das richtig sehe.

Hallo, deine PHP-Version ist zu klein. Für phpBB 3.2.x ist mindestens PHP-Ver. 5.4 erforderlich. viewtopic.php?f=9&t=238511

Melmac war schneller. :D Naja, man wird alt. 8) :wink:
Gruß Hermann

Forum VFR-OC

Benutzeravatar
Tom 61
Mitglied
Beiträge: 58
Registriert: 08.09.2005 11:03
Wohnort: Deggendorf/Donau
Kontaktdaten:

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Tom 61 » 07.07.2018 17:09

Vielen Dank für die schnellen Antworten! Aber ich habe nochmal genauer nachgeschaut wegen der PHP-Version auf der Domain meines Boards, die war auf: 56 Stable (5.6.31), also ich habe vorhin falsch geguckt. Also daran kann es anscheinend nicht liegen. Aber ich wollte wissen, was ich jetzt machen soll, nachdem da nicht 3.1.10 steht, sondern 3.2.0-dev. Soll ich dieses Update, was ich vorhin gemacht habe, wieder rückgängig machen? Also alle Backups wieder zurück spielen? So daß es wieder auf 3.1.9 ist? Und dann nochmal starten? Oder was soll ich jetzt machen?

Oder was habe ich vorhin falsch gemacht? Wie kann da plötzlich 3.2.0-dev stehen, wenn ich das Update-Paket von 3.1.9 auf 3.1.10 hatte?

Also, wie mache ich jetzt weiter? Die PHP-Version stimmte ja, hab vorhin nur falsch geguckt.

Kann ich jetzt da mit diesem 3.2.0-dev weiter machen, oder muß ich erst wieder mittels Restore 3.1.9 herstellen? Das Forum schint jetzt zu funktionieren, mit 3.2.0-dev.

Automatisch dem Beitrag hinzugefügt nach 22 Minuten 36 Sekunden. Bitte Regel für „Topic-Bumping“ beachten. Danke.

Melmac hat geschrieben:Mit den entsprechenden Vorbereitungsarbeiten brauchst Du die Updates/Upgrades auch nicht schrittweise vorzunehmen: das geht in einem Rutsch :wink:
Falls Du von einer 3.0.x-Vorversion kommen solltest => phpBB 3.2 - Upgrade von phpBB 3.0
Falls von 3.1.x kommend => phpBB 3.2 - Upgrade von phpBB 3.1


Die Fehlermeldung von September 2017 habe ich leider nicht mehr, aber da hat es sich ebenfalls beim Datenbank-Update aufgehängt, und das Forum ging danach auch komplett nicht mehr, da half nur noch Restore. Ich habe aber damals auch schon gelesen, was man da machen muß, um diese Bugs zu vermeiden, hat aber nicht geholfen.

Als ich jetzt vorhin dieses Update von 3.1.9 auf 3.1.10 machte, habe ich aber keinerlei sonstigen Vorbereitungen getroffen. Diese Bugs passieren doch nur beim Update auf 3.2 oder?

Ich bin aber auch leicht verwirrt, daß nach einem Update auf 3.1.10 bei mir jetzt 3.2.0-dev steht.
Wir werden wieder Normalität herstellen, sobald wir herausgefunden haben, was das eigentlich ist.

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3447
Registriert: 15.10.2012 03:27

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Melmac » 07.07.2018 18:18

Das steht momentan auf 3.2.0-dev, weil das letzte abgeschlossene Datenbankupdate während des Upgradelaufs dasjenige auf 3.2.0-dev war - danach blieb es nämlich hängen.

Was ich jetzt aber nicht verstehe: wenn Du das AutoUpdaterpaket 3.1.9 auf 3.1.10 genommen hast - wie kommt es dann, dass das DB-Update weiter in die 3.2-Serie läuft?
Die hierfür zuständigen Migrationsdateien gabs zu diesem Zeitpunkt noch gar nicht ...

Tom 61 hat geschrieben:Ich wollte es im September 2017 schon mal von 3.1.9 gleich auf 3.2. aktualisieren, hat aber nicht geklappt.

Nachdem es nicht geklappt hat: was hast Du damals danach gemacht, die Backups (auch der Datenbank) wieder zurückgespielt, also alles wieder in den Zustand vor diesem Versuch zurückgesetzt?

Vielleicht spielst Du jetzt zuerst einmal das Backup der Datenbank wieder zurück und versuchst danach, von 3.1.9 direkt auf 3.2.2 zu gehen - wie im verlinkten Artikel beschrieben.
Mit den Vorbereitungen - es ist in diesem Fall nämlich kein Update sondern ein Upgrade

Tom 61 hat geschrieben:Ich habe aber damals auch schon gelesen, was man da machen muß, um diese Bugs zu vermeiden, hat aber nicht geholfen.

Im September 2017 gabs noch keine Release von phpBB 3.2.2 und damit auch nicht diese Bugs, die mit den verlinkten Anpassungen hätten behoben werden können ... :wink:
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
Tom 61
Mitglied
Beiträge: 58
Registriert: 08.09.2005 11:03
Wohnort: Deggendorf/Donau
Kontaktdaten:

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Tom 61 » 07.07.2018 18:51

Melmac hat geschrieben:Was ich jetzt aber nicht verstehe: wenn Du das AutoUpdaterpaket 3.1.9 auf 3.1.10 genommen hast - wie kommt es dann, dass das DB-Update weiter in die 3.2-Serie läuft?
Die hierfür zuständigen Migrationsdateien gabs zu diesem Zeitpunkt noch gar nicht ...

Ja eben, das würde ich ebenfalls gerne wissen. Also ich habe im September 2017 nach dem gescheiterten Versuch des Updates auf 3.2 alles wieder zurück restored auf das 3.1.9 von vorher, also DB und alle Dateien. Das hatte ich ja kurz vorher alles gesichert. Und jetzt habe ich das Update von 3.1.9 auf 3.1.10 genommen, das ich im September 2017 ebenfalls bereits herunter geladen hatte.

Es gab aber auch im September 2017 schon Warnhinweise für das Update auf 3.2 und was man da vorher noch machen soll. Wie gesagt habe ich jetzt mehrere Fragen:

1. Kann man denn mit der Fehlermeldung, die ich oben gepostet habe, nichts anfangen?

2. Das Forum funktioniert anscheinend jetzt einwandfrei. Ich kann alle Beiträge anschauen, und kann auch im Admin-Bereich alles anschauen. Kann ich jetzt von hier aus weiter updaten?

3. Oder soll ich alles (DB und Dateien) wieder von meinem Backup zurück spielen, so daß es wieder auf dem 3.1.9 von heute morgen ist, und dann nochmal versuchen? Aber da muß ja irgendwas schief gelaufen sein.
Wir werden wieder Normalität herstellen, sobald wir herausgefunden haben, was das eigentlich ist.

Benutzeravatar
Tom 61
Mitglied
Beiträge: 58
Registriert: 08.09.2005 11:03
Wohnort: Deggendorf/Donau
Kontaktdaten:

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Tom 61 » 09.07.2018 17:25

Also egal mit welcher Methode ich auf die neueste Version updaten will, ich kriege immer irgendwelche Fehlermeldungen, bzw. es hängt sich auf. Was mich im Prinzip nicht wundert, weil das Forum seit 2003 läuft, und ich da schon eine Million Mods und dergleichen eingebaut habe, z.B. damals diesen cracker tracker, falls den noch jemand kennt, der hat bestimmt das ganze Forum komplett umprogrammiert.

Jetzt zwei Fragen:

1. Kann ich das Forum einfach auf diesem Stand (3.1.9) belassen, oder geht es dann irgendwann nicht mehr?

2. Kann ich parallel ein leeres neues Forum installieren, und dann mit meinen Usern und Beiträgen dorthin umziehen?
Wir werden wieder Normalität herstellen, sobald wir herausgefunden haben, was das eigentlich ist.

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11590
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Mahony » 09.07.2018 20:00

Hallo
Tom 61 hat geschrieben:1. Kann ich das Forum einfach auf diesem Stand (3.1.9) belassen, oder geht es dann irgendwann nicht mehr?

Nein, das ist nicht zu empfehlen, da phpBB ja immer weiter entwickelt wird und der Support für diese Linie ja auch schon beendet wurde. siehe https://www.phpbb.com/community/viewtop ... #p15044911

Tom 61 hat geschrieben:2. Kann ich parallel ein leeres neues Forum installieren, und dann mit meinen Usern und Beiträgen dorthin umziehen?

Nein, das ist so nicht möglich.

Ich empfehle dir das Upgrade auf phpBB 3.2.2 durchzuführen. Halte dich peinlichst genau an die Anleitung und dann klappt das auch.

P.S. ACHTUNG WICHTIG: Für phpBB 3.2.x ist mindestens PHP-Ver. 5.4 erforderlich.

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Benutzeravatar
dbekrause
Mitglied
Beiträge: 4
Registriert: 06.10.2005 09:21
Wohnort: Hamburg

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon dbekrause » 09.07.2018 21:14

Mahony hat geschrieben:(..)(..)
Tom 61 hat geschrieben:2. Kann ich parallel ein leeres neues Forum installieren, und dann mit meinen Usern und Beiträgen dorthin umziehen?

Nein, das ist so nicht möglich.
(..)
Das sehe ich anders, nachdem Melmac in einer seiner Antworten (vom 07.07.2018 16:43) auf den Ratgeber "Falls von 3.1.x kommend => phpBB 3.2 - Upgrade von phpBB 3.1" verwiesen hat, in welchem wiederum u. a. auf die Möglichkeit des "Umzugs" hingewiesen wurde.

Tom, in Deinem Initialposting hast Du die komplette Fehlermeldung gepostet, und dort wurde eine Zeile genannt, und zwar hier: "phpbb\db\migrator->run_step(Arr in /kunden/233139_94469/webseiten/phpBB2/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php on line 806"

Diese Zeile taucht mit dieser Datei-Angabe in der Fehlermeldung 2x auf, wäre interessant zu erfahren, was dort steht, nachdem die ContainerBuilder.php inhaltich wahrsc heinlich überall verschieden ist ;)
...hinter jedem "ich kann nicht" steht ein "ich will nicht"...

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11590
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: 3.1.9 > 3.2.0-dev ?

Beitragvon Mahony » 09.07.2018 21:28

Hallo dbekrause
dbekrause hat geschrieben:Das sehe ich anders, nachdem Melmac in einer seiner Antworten (vom 07.07.2018 16:43) auf den Ratgeber "Falls von 3.1.x kommend => phpBB 3.2 - Upgrade von phpBB 3.1" verwiesen hat, in welchem wiederum u. a. auf die Möglichkeit des "Umzugs" hingewiesen wurde.

Ähem...hast du die Fragestellung gelesen UND auch verstanden?

Tom 61 hat geschrieben:2. Kann ich parallel ein leeres neues Forum installieren, und dann mit meinen Usern und Beiträgen dorthin umziehen?

Die Fragestellung ist nämlich eine komplett andere. Tom 61 fragte, ob er ein neues (leeres) Forum installieren kann und dann die User und die Beiträge dorthin übertragen kann.

Melmacs Hinweis bezieht sich aber auf ein Upgrade von phpBB 3.1.x nach phpBB 3.2x

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.


Zurück zu „Support-Forum“